<div class="damage">
    <mat-tab-group mat-stretch-tabs="false" (selectedTabChange)="onTabChange()" mat-align-tabs="start"
        style="height:calc(100% ) " animationDuration="0ms">
        <mat-tab label="ภาพรวม">
            <div style=" border-top: 1px solid #e6e6e6 !important"> </div>
            <br>
            <div class="box-100 d-flex">

                <div style="margin-right: 10px;">
                    <small>วันที่เกิดเหตุ *</small><br>
                    <mat-form-field appearance="outline" style="width: 200px;">
                        <input matInput [matDatepicker]="picker1" [(ngModel)]="overAllForm.date"
                            [disabled]="!isEditoverAll">
                        <mat-datepicker-toggle matIconSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                    </mat-form-field>
                </div>
                <div>
                    <small>เวลา *</small><br>
                    <div class="time-box " [ngClass]="{'time-box-disable': !isEditoverAll}">
                        <app-time-picker (eventTime)="onTimeChange($event,1)" [time]="overAllForm.time"
                            [disable]="!isEditoverAll"></app-time-picker>
                    </div>
                </div>
            </div>


            <div class="box-100">
                <small>สถานะ</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <mat-select [(ngModel)]="overAllForm.status" [disabled]="!isEditoverAll">
                        <mat-option [value]="item.id" *ngFor="let item of statusList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.text}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="d-flex">
                <div class="box-50">
                    <small>จำนวนจังหวัด</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="overAllForm.damagedValMbaht"
                            [disabled]="!isEditoverAll">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>จำนวนอำเภอ</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="overAllForm.districtTotal"
                            [disabled]="!isEditoverAll">
                    </mat-form-field>
                </div>
            </div>
            <div class="d-flex">
                <div class="box-50">
                    <small>จำนวนตำบล</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="overAllForm.subDistrictTotal"
                            [disabled]="!isEditoverAll">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>จำนวนหมู่บ้าน</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="overAllForm.villageTotal"
                            [disabled]="!isEditoverAll">
                    </mat-form-field>
                </div>

            </div>
            <div class="box-100">
                <small>มูลค่าความเสียหาย(ล้านบาท)</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <input matInput placeholder=" " type="number" [(ngModel)]="overAllForm.damagedValMbaht"
                        [disabled]="!isEditoverAll">
                </mat-form-field>
            </div>
            <br>

            <div class="box-100 d-flex justify-content-center">
                <button class="btn-save" mat-raised-button style="margin-top: 3px;" (click)="onUpdtaeDamageOverAll()">
                    {{!isEditoverAll ?'แก้ไข':'บันทึก'}}</button>
            </div>
            <br>
            <br>
        </mat-tab>
        <mat-tab label="ด้านชีวิต">
            <div style=" border-top: 1px solid #e6e6e6 !important"> </div>
            <br>
            <div class="box-100 d-flex">

                <div style="margin-right: 10px;">
                    <small>วันที่เกิดเหตุ *</small><br>
                    <mat-form-field appearance="outline" style="width: 200px;">
                        <input matInput [matDatepicker]="picker2" [(ngModel)]="humanForm.date"
                            [disabled]="!isEditHuman">
                        <mat-datepicker-toggle matIconSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2></mat-datepicker>
                    </mat-form-field>
                </div>
                <div>
                    <small>เวลา *</small><br>
                    <div class="time-box " [ngClass]="{'time-box-disable':!isEditHuman}">
                        <app-time-picker (eventTime)="onTimeChange($event,2)" [time]="humanForm.time"
                            [disable]="!isEditHuman"></app-time-picker>
                    </div>
                </div>
            </div>

            <div class="box-100">
                <small>สถานะ</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <mat-select [(ngModel)]="humanForm.status" [disabled]="!isEditHuman">
                        <mat-option [value]="item.id" *ngFor="let item of statusList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.text}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="d-flex">
                <div class="box-50">
                    <small>จำนวนครัวเรือนประสบภัย</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="humanForm.hhAffected"
                            [disabled]="!isEditHuman">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>จำนวนประชาชนได้รับผล</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="humanForm.pplImpacted"
                            [disabled]="!isEditHuman">
                    </mat-form-field>
                </div>
            </div>
            <div class="d-flex">
                <div class="box-50">
                    <small>จำนวนผู้อพยพ</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="humanForm.emigrant"
                            [disabled]="!isEditHuman">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>จำนวนผู้บาดเจ็บ</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="humanForm.injured"
                            [disabled]="!isEditHuman">
                    </mat-form-field>
                </div>
            </div>
            <div class="d-flex">
                <div class="box-50">
                    <small>จำนวนผู้เสียชีวิต</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="humanForm.dead"
                            [disabled]="!isEditHuman">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>จำนวนผู้สูญหาย</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="humanForm.missing"
                            [disabled]="!isEditHuman">
                    </mat-form-field>
                </div>
            </div>

            <br>

            <div class="box-100 d-flex justify-content-center">
                <button class="btn-save" mat-raised-button style="margin-top: 3px;" (click)="onUpdateDamageHuman()">
                    {{!isEditHuman ?'แก้ไข':'บันทึก'}}</button>
            </div>
            <br>
            <br>

        </mat-tab>
        <mat-tab label="ด้านทรัพย์สิน/ที่อยู่อาศัย">
            <div style=" border-top: 1px solid #e6e6e6 !important"> </div>
            <br>
            <div class="box-100 d-flex">

                <div style="margin-right: 10px;">
                    <small>วันที่เกิดเหตุ *</small><br>
                    <mat-form-field appearance="outline" style="width: 200px;">
                        <input matInput [matDatepicker]="picker3" [(ngModel)]="propForm.date" [disabled]="!isEditProp">
                        <mat-datepicker-toggle matIconSuffix [for]="picker3"></mat-datepicker-toggle>
                        <mat-datepicker #picker3></mat-datepicker>
                    </mat-form-field>
                </div>
                <div>
                    <small>เวลา *</small><br>
                    <div class="time-box " [ngClass]="{'time-box-disable' :!isEditProp}">
                        <app-time-picker (eventTime)="onTimeChange($event,3)" [time]="propForm.date"
                            [disable]="!isEditProp"></app-time-picker>
                    </div>
                </div>
            </div>

            <div class="box-100">
                <small>สถานะ</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <mat-select [(ngModel)]="propForm.status" [disabled]="!isEditProp">
                        <mat-option [value]="item.id" *ngFor="let item of statusList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.text}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="d-flex">
                <div class="box-50">
                    <small>บ้านเรือน (ทั้งหลัง)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="propForm.houseWhole"
                            [disabled]="!isEditProp">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>บ้านเรือน (บางส่วน) </small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="propForm.housePartly"
                            [disabled]="!isEditProp">
                    </mat-form-field>
                </div>
            </div>

            <br>

            <div class="box-100 d-flex justify-content-center">
                <button class="btn-save" mat-raised-button style="margin-top: 3px;" (click)="onUpdateDamageProp()">
                    {{!isEditProp ?'แก้ไข':'บันทึก'}}</button>
            </div>
            <br>
            <br>
        </mat-tab>

        <mat-tab label="ด้านสิ่งสาธารณประโยชน์">
            <div style=" border-top: 1px solid #e6e6e6 !important"> </div>
            <br>
            <div class="box-100 d-flex">
                <div style="margin-right: 10px;">
                    <small>วันที่เกิดเหตุ *</small><br>
                    <mat-form-field appearance="outline" style="width: 200px;">
                        <input matInput [matDatepicker]="picker4" [(ngModel)]="publicForm.date"
                            [disabled]="!isEditPublic">
                        <mat-datepicker-toggle matIconSuffix [for]="picker4"></mat-datepicker-toggle>
                        <mat-datepicker #picker4></mat-datepicker>
                    </mat-form-field>
                </div>
                <div>
                    <small>เวลา *</small><br>
                    <div class="time-box " [ngClass]="{'time-box-disable' :!isEditPublic}">
                        <app-time-picker (eventTime)="onTimeChange($event,4)" [time]="publicForm.time"
                            [disable]="!isEditPublic"></app-time-picker>
                    </div>
                </div>
            </div>

            <div class="box-100">
                <small>สถานะ</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <mat-select [(ngModel)]="publicForm.status" [disabled]="!isEditPublic">
                        <mat-option [value]="item.id" *ngFor="let item of statusList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.text}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="d-flex">
                <div class="box-50">
                    <small>ถนน (สาย)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.roadLine"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>ถนน (กม.)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.roadKm"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
            </div>

            <div class="d-flex">
                <div class="box-50">
                    <small>ถนน (จุด)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.roadPoint"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>สะพาน (จุด)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.bridge"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
            </div>

            <div class="d-flex">
                <div class="box-50">
                    <small>ท่อระบายน้ำ (จุด)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.drainPipe"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>ฝาย (จุด)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.weir"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
            </div>

            <div class="d-flex">
                <div class="box-50">
                    <small>ทำนบ (จุด)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.barrage"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>สถานที่ราชการ (แห่ง)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.gov"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
            </div>


            <div class="d-flex">
                <div class="box-50">
                    <small>โรงเรียน</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.school"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>ศาสนสถาน</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="publicForm.worship"
                            [disabled]="!isEditPublic">
                    </mat-form-field>
                </div>
            </div>



            <br>

            <div class="box-100 d-flex justify-content-center">
                <button class="btn-save" mat-raised-button style="margin-top: 3px;" (click)="onUpdateDamagePublic()">
                    {{!isEditPublic ?'แก้ไข':'บันทึก'}}</button>
            </div>
            <br>
            <br>
        </mat-tab>
        <mat-tab label="ด้านการเกษตร">
            <div style=" border-top: 1px solid #e6e6e6 !important"> </div>
            <br>
            <div class="box-100 d-flex">

                <div style="margin-right: 10px;">
                    <small>วันที่เกิดเหตุ *</small><br>
                    <mat-form-field appearance="outline" style="width: 200px;">
                        <input matInput [matDatepicker]="picker5" [(ngModel)]="agriForm.date" [disabled]="!isEditAgri">
                        <mat-datepicker-toggle matIconSuffix [for]="picker5"></mat-datepicker-toggle>
                        <mat-datepicker #picker5></mat-datepicker>
                    </mat-form-field>
                </div>
                <div>
                    <small>เวลา *</small><br>
                    <div class="time-box " [ngClass]="{'time-box-disable' :!isEditAgri}">
                        <app-time-picker (eventTime)="onTimeChange($event,5)" [time]="agriForm.time"
                            [disable]="!isEditAgri"></app-time-picker>
                    </div>
                </div>
            </div>

            <div class="box-100">
                <small>สถานะ</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <mat-select [(ngModel)]="agriForm.status" [disabled]="!isEditAgri">
                        <mat-option [value]="item.id" *ngFor="let item of statusList"
                            style="font-size: 12px; min-height: 30px;">
                            {{item.text}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>

            <div class="box-100">
                <small>เกษตรกร (คน)</small>
                <mat-form-field appearance="outline" style="width: 100%;">
                    <input matInput placeholder=" " type="number" [(ngModel)]="agriForm.farmer"
                        [disabled]="!isEditAgri">
                </mat-form-field>
            </div>

            <div class="box-100">
                <small>ไร่</small>
                <div class="d-flex justify-content-between">
                    <mat-form-field appearance="outline" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.farmRaiItem.rai"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">ไร่</small>
                    </mat-form-field>
                    <mat-form-field appearance="outline" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.farmRaiItem.ngan"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">งาน</small>
                    </mat-form-field>
                    <mat-form-field appearance="outline" floatLabel="always" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.farmRaiItem.squareWa"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">ตารางวา</small>
                    </mat-form-field>
                </div>
            </div>

            <div class="box-100">
                <small>นา</small>
                <div class="d-flex justify-content-between">
                    <mat-form-field appearance="outline" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.ricePaddyRaiItem.rai"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">ไร่</small>
                    </mat-form-field>
                    <mat-form-field appearance="outline" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.ricePaddyRaiItem.ngan"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">งาน</small>
                    </mat-form-field>
                    <mat-form-field appearance="outline" floatLabel="always" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.ricePaddyRaiItem.squareWa"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">ตารางวา</small>
                    </mat-form-field>
                </div>
            </div>
            <div class="box-100">
                <small>สวน</small>
                <div class="d-flex justify-content-between">
                    <mat-form-field appearance="outline" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.gardensRaiItem.rai"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">ไร่</small>
                    </mat-form-field>
                    <mat-form-field appearance="outline" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.gardensRaiItem.ngan"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">งาน</small>
                    </mat-form-field>
                    <mat-form-field appearance="outline" floatLabel="always" style="width: 30%;">
                        <input matInput placeholder="" type="number" [(ngModel)]="agriForm.gardensRaiItem.squareWa"
                            [disabled]="!isEditAgri">
                        <small matTextSuffix class="mr-2">ตารางวา</small>
                    </mat-form-field>
                </div>
            </div>

            <div class="d-flex">
                <div class="box-50">
                    <small>โค/กระบือ (ตัว)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="agriForm.cowBuff"
                            [disabled]="!isEditAgri">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>สุกร/แพะ/แกะ (ตัว)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="agriForm.pigGoatSheep"
                            [disabled]="!isEditAgri">
                    </mat-form-field>
                </div>
            </div>

            <div class="d-flex">
                <div class="box-50">
                    <small>สัตว์ปีก (ตัว)</small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="agriForm.poultry"
                            [disabled]="!isEditAgri">
                    </mat-form-field>
                </div>
                <div class="box-50">
                    <small>พื้นที่เพาะเลี้ยงสัตว์น้ำ </small>
                    <mat-form-field appearance="outline" style="width: 100%;">
                        <input matInput placeholder=" " type="number" [(ngModel)]="agriForm.aquaAreaRai"
                            [disabled]="!isEditAgri">
                    </mat-form-field>
                </div>
            </div>



            <br>

            <div class="box-100 d-flex justify-content-center">
                <button class="btn-save" mat-raised-button style="margin-top: 3px;" (click)='onUpdateDamageAgri()'>
                    {{!isEditAgri ?'แก้ไข':'บันทึก'}}</button>
            </div>
            <br>
            <br>

        </mat-tab>
    </mat-tab-group>
</div>